### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
InterpolatedHazardRateCurve< Interpolator > Class Template Reference

DefaultProbabilityTermStructure based on interpolation of hazard rates. More...

`#include <ql/termstructures/credit/interpolatedhazardratecurve.hpp>`

Inheritance diagram for InterpolatedHazardRateCurve< Interpolator >:
[legend]

List of all members.

## Public Member Functions

| InterpolatedHazardRateCurve (const std::vector< Date > &dates, const std::vector< Rate > &hazardRates, const DayCounter &dayCounter, const Calendar &cal=Calendar(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedHazardRateCurve (const std::vector< Date > &dates, const std::vector< Rate > &hazardRates, const DayCounter &dayCounter, const Calendar &calendar, const Interpolator &interpolator)
| InterpolatedHazardRateCurve (const std::vector< Date > &dates, const std::vector< Rate > &hazardRates, const DayCounter &dayCounter, const Interpolator &interpolator)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
other inspectors
const std::vector< Time > & | times () const
const std::vector< Date > & | dates () const
const std::vector< Real > & | data () const
const std::vector< Rate > & | hazardRates () const
std::vector< std::pair< Date, Real > > | nodes () const

## Protected Member Functions

| InterpolatedHazardRateCurve (const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedHazardRateCurve (const Date &referenceDate, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
| InterpolatedHazardRateCurve (Natural settlementDays, const Calendar &, const DayCounter &, const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >(), const Interpolator &interpolator=Interpolator())
DefaultProbabilityTermStructure implementation
Real | hazardRateImpl (Time) const
| hazard rate calculation
Probability | survivalProbabilityImpl (Time) const

## Protected Attributes

std::vector< Date > | dates_

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedHazardRateCurve< Interpolator >

DefaultProbabilityTermStructure based on interpolation of hazard rates.

## Member Function Documentation

Probability survivalProbabilityImpl | ( | Time |  | ) | const`[protected, virtual]`

survival probability calculation implemented in terms of the hazard rate as

Warning:
  This default implementation uses numerical integration, which might be inefficient and inaccurate. Derived classes should override it if a more efficient implementation is available.

Reimplemented from HazardRateStructure.